Orders

Orders

GET
/api/oms/orders

to get list of orders placed

Query Parameters

symDetails?boolean

Sending symDetails:'true' - will provide the symbol object in response for every record. Symbol object contains details such as price-tick, lotsize, token etc..,

Header Parameters

Authorization*string

Access token in the following format:

Bearer <api_key>:<access_token>

Both values are required. The api_key is your app credential from the Apps Section. The access_token is obtained from the authentication endpoint and is valid for 24 hours.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/oms/orders" \  -H "Authorization: Bearer <api Key>:<access token>"
{
  "s": "ok",
  "d": [
    {
      "symId": "EQT_RELIANCE_EQ_NSE",
      "status": "open",
      "qty": 10,
      "side": "b",
      "type": "l",
      "product": "cnc",
      "orderId": "210115000000001",
      "limitPrice": 2440,
      "fillQty": 0,
      "pendingQty": 10
    }
  ]
}
{
  "s": "error",
  "msg": "Unauthorized"
}
{
  "s": "error",
  "msg": "Too many requests"
}
{
  "s": "error",
  "msg": "Internal server error"
}